/* 
 * Reihenfolge einhalten! 
 * Zuerst sind die Daten in die Nachschlage-Listen einzufügen und erst 
 * danach die Daten in die Detail-Tabellen (Tabellen mit Fremdschlüsseln).
*/

/* 
 * Insert 13 records into the `tbtype` table
 * Field:  type  (-> primary key)
*/
INSERT INTO tbtype VALUES('Herrenrad TRB');       -- Mens' bike - Trekking-Bike
INSERT INTO tbtype VALUES('Damenrad TRB');        -- Ladies' bike - Trekking-Bike
INSERT INTO tbtype VALUES('Herrenrad MTB');       -- Mens' bike - Mountainbike
INSERT INTO tbtype VALUES('Damenrad MTB');        -- Ladies' bike - Mountainbike
INSERT INTO tbtype VALUES('Kinderrad');           -- Children's bike 
INSERT INTO tbtype VALUES('Herrenrad EBike');     -- Mens' bike - E-Bike
INSERT INTO tbtype VALUES('Damenrad EBike');      -- Ladies' bike - E-Bike
INSERT INTO tbtype VALUES('Kinderrad EBike');     -- Children's bike - E-Bike
INSERT INTO tbtype VALUES('Trailer');             -- Trailer for children
INSERT INTO tbtype VALUES('Anhänger');            -- Trailer for cargo
INSERT INTO tbtype VALUES('Laufrad');             -- Children's impeller
INSERT INTO tbtype VALUES('Kindersitz');          -- Child seat
INSERT INTO tbtype VALUES('Helm');                -- Bicycle helmet

/* 
 * Insert 9 records into the `tbnettoprice` table
 * Field:  nettoprice_pd  (-> primary key)
*/
INSERT INTO tbnettoprice VALUES('840');    -- 10,00 €  -> based on a vat of 19 percent
INSERT INTO tbnettoprice VALUES('588');    -- 7,00 €
INSERT INTO tbnettoprice VALUES('504');    -- 6,00 €
INSERT INTO tbnettoprice VALUES('420');    -- 5,00 €
INSERT INTO tbnettoprice VALUES('378');    -- 4,50 €
INSERT INTO tbnettoprice VALUES('336');    -- 4,00 €
INSERT INTO tbnettoprice VALUES('252');    -- 3,00 €
INSERT INTO tbnettoprice VALUES('210');    -- 2,50 €
INSERT INTO tbnettoprice VALUES('168');    -- 2,00 €

/* 
 * Insert 10 records into the `tbsize` table
 * Field:  size  (-> primary key)
*/
INSERT INTO tbsize VALUES('28');    -- Alle Angaben in Zoll (")
INSERT INTO tbsize VALUES('26');
INSERT INTO tbsize VALUES('24');   
INSERT INTO tbsize VALUES('22');   
INSERT INTO tbsize VALUES('20');   
INSERT INTO tbsize VALUES('18');   
INSERT INTO tbsize VALUES('16');  
INSERT INTO tbsize VALUES('14');  
INSERT INTO tbsize VALUES('12');
INSERT INTO tbsize VALUES('~~');    -- Zubehör   

/*
 * Insert 4 records into the `tbstatus` table
 * Fields:  status, description
*/
INSERT INTO tbstatus VALUES('OK','Miet-Objekt kann verliehen werden');                      -- Bike can be lent out
INSERT INTO tbstatus VALUES('Defekt','Miet-Objekt ist defekt');                             -- Out of order
INSERT INTO tbstatus VALUES('Wartung','Miet-Objekt wird gewartet');                         -- Service
INSERT INTO tbstatus VALUES('Verschrottet','Miet-Objekt wurde aus dem Bestand genommen');   -- Scrapped

/* 
 * Insert 3 records into the `tbidentdocument` table
 * Field:  idwith (-> primary key)
*/
INSERT INTO tbidwith VALUES('Ausweis');        -- ID-Card
INSERT INTO tbidwith VALUES('Pass');           -- Passport
INSERT INTO tbidwith VALUES('Führerschein');   -- FS => Driver's license

/* 
 * Insert 5 records into the `tbcountry` table
 * Fields:  country, abbreviation
*/
INSERT INTO tbcountry VALUES('Deutschland','DE');   -- DE => Deutschland
INSERT INTO tbcountry VALUES('Dänemark','DK');      -- DK => Dänemark
INSERT INTO tbcountry VALUES('Schweden','SE');      -- SE => Schweden
INSERT INTO tbcountry VALUES('Österreich','AT');    -- AT => Österreich (Austria) 
INSERT INTO tbcountry VALUES('Frankreich','FR');    -- FR => Frankreich

-- 4 Detail-Tabellen (Tabellen mit Fremdschlüsseln)  --------------------------------------------------

/* 
 * Insert 24 records into the `tbrentalobject` table 
 * Fields:  pkrentalobject, fktype, fksize, fkprice_ppd, vat, fkstatus, description
*/
INSERT INTO tbrentalobject VALUES(1,'Herrenrad TRB','28',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(2,'Herrenrad TRB','28',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(3,'Herrenrad MTB','28',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(4,'Herrenrad EBike','26',840,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(5,'Herrenrad EBike','26',840,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(6,'Damenrad TRB','28',504,19,'Defekt',NULL);
INSERT INTO tbrentalobject VALUES(7,'Damenrad TRB','28',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(8,'Damenrad MTB','28',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(9,'Damenrad EBike','26',840,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(10,'Damenrad MTB','26',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(11,'Damenrad TRB','26',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(12,'Damenrad TRB','26',504,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(13,'Damenrad TRB','28',504,19,'Defekt',NULL);
INSERT INTO tbrentalobject VALUES(14,'Trailer','~~',378,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(15,'Trailer','~~',378,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(16,'Trailer','~~',378,19,'Wartung',NULL);
INSERT INTO tbrentalobject VALUES(17,'Kinderrad','22',420,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(18,'Kinderrad','24',420,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(19,'Kinderrad EBike','24',588,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(20,'Kinderrad','20',420,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(21,'Anhänger','~~',336,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(22,'Anhänger','~~',336,19,'Defekt',NULL);
INSERT INTO tbrentalobject VALUES(23,'Kindersitz','~~',210,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(24,'Helm','~~',168,19,'OK',NULL);
INSERT INTO tbrentalobject VALUES(25,'Helm','~~',168,19,'OK',NULL);

/* 
 * Insert 3 records into the `tbcustomer` table
 * Fields:  pkcustomer, lastname, firstname, homecity, homezip, homeaddress, resortcity, resortzip, resortaddress, email, phone, fkidwith, fkcountry, notes
*/
INSERT INTO tbcustomer VALUES(1,'Lehmann','Hans','39606','Osterburg','Roggenworth 2','23948','Warnkenhagen','Im Winkel 1','honsek.lehmann@freenet.de','015224783444','Ausweis','Deutschland',NULL);
INSERT INTO tbcustomer VALUES(2,'Peterson','Ole','44443','Aarhus','Havenby 4',NULL, NULL,NULL,'ole.peterson@yahoo.dk','017224454532','Pass','Dänemark',NULL);
INSERT INTO tbcustomer VALUES(3,'Brand','Maria','01099','Dresden','Grasweg 4','23946','Klütz','Heide 34','maria.brand@web.de','016224778785','Ausweis','Deutschland',NULL);

/* 
 * Insert 3 records into the `tbcontract` table
 * Fields:  pkcontract, fkcustomer, dateorder, datepaid, notes, 
*/
INSERT INTO tbcontract VALUES(1,1,'2021-07-24',NULL,NULL);
INSERT INTO tbcontract VALUES(2,2,'2021-07-13',NULL,Null);
INSERT INTO tbcontract VALUES(3,3,'2021-07-01',NULL,'1 Kinderhelm!');

/* 
 * Insert 6 records into the `tbcontractdetails
 * Fields:  pkcontractdetail, fkcontract, fkrentalobject, rental_begin, rental_end, service, returned_date
*/
INSERT INTO tbcontractdetail VALUES(1,1,1,'2021-07-10','2021-07-17',True,NULL);
INSERT INTO tbcontractdetail VALUES(2,1,7,'2021-07-10','2021-07-17',True,NULL);
INSERT INTO tbcontractdetail VALUES(3,1,14,'2021-07-10','2021-07-15',True,NULL);
INSERT INTO tbcontractdetail VALUES(4,2,4,'2021-06-12','2021-06-19',False,NULL);
INSERT INTO tbcontractdetail VALUES(5,3,8,'2021-06-12','2021-06-19',True,NULL);
INSERT INTO tbcontractdetail VALUES(6,3,17,'2021-07-19','2021-07-26',True,NULL);
INSERT INTO tbcontractdetail VALUES(7,3,24,'2021-07-19','2021-07-26',True,NULL);


